/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.util.List;

/**
 * 部门实体类
 * @author tangwc
 * @version 2018-05-30
 */
public class MdeDepartment extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	private Integer depdId;		// 部门id
	private String depdNameCn;		// 部门名称-中文
	private String depdNameEn;		// 部门名称-英文
	private Integer sort;		// 排序字段
	private List<MdePosition> positionList;
	
	private String depdName;		// 部门名称
	
	public MdeDepartment() {
		super();
	}

//	@Length(min=1, max=11, message="部门id长度必须介于 1 和 11 之间")
	public Integer getDepdId() {
		return depdId;
	}

	public void setDepdId(Integer depdId) {
		this.depdId = depdId;
	}
	
//	@Length(min=1, max=50, message="部门名称-中文长度必须介于 1 和 50 之间")
	public String getDepdNameCn() {
		return depdNameCn;
	}

	public void setDepdNameCn(String depdNameCn) {
		this.depdNameCn = depdNameCn;
	}
	
//	@Length(min=1, max=50, message="部门名称-英文长度必须介于 1 和 50 之间")
	public String getDepdNameEn() {
		return depdNameEn;
	}

	public void setDepdNameEn(String depdNameEn) {
		this.depdNameEn = depdNameEn;
	}
	
//	@Length(min=1, max=11, message="排序字段长度必须介于 1 和 11 之间")
	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public List<MdePosition> getPositionList() {
		return positionList;
	}

	public void setPositionList(List<MdePosition> positionList) {
		this.positionList = positionList;
	}

	public String getDepdName() {
		return depdName;
	}

	public void setDepdName(String depdName) {
		this.depdName = depdName;
	}
	
}